Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network228.167.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
228.167.0.0
Broadcast address
228.167.127.255
First usable
228.167.0.1
Last usable
228.167.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E4A70000 · Integer 3836149760 to 3836182527
Reverse DNS zones
0.167.228.in-addr.arpa
1.167.228.in-addr.arpa
2.167.228.in-addr.arpa
3.167.228.in-addr.arpa
4.167.228.in-addr.arpa
5.167.228.in-addr.arpa
6.167.228.in-addr.arpa
7.167.228.in-addr.arpa
8.167.228.in-addr.arpa
9.167.228.in-addr.arpa
10.167.228.in-addr.arpa
11.167.228.in-addr.arpa
12.167.228.in-addr.arpa
13.167.228.in-addr.arpa
14.167.228.in-addr.arpa
15.167.228.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11100100.10100111.00000000.00000000228.167.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network11100100.10100111.00000000.00000000228.167.0.0
Broadcast11100100.10100111.01111111.11111111228.167.127.255
Split into smaller subnets/24

228.167.0.0/17 makes 128 subnets of /24.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1228.167.0.0/24228.167.0.1 to 228.167.0.254228.167.0.255254
2228.167.1.0/24228.167.1.1 to 228.167.1.254228.167.1.255254
3228.167.2.0/24228.167.2.1 to 228.167.2.254228.167.2.255254
4228.167.3.0/24228.167.3.1 to 228.167.3.254228.167.3.255254
5228.167.4.0/24228.167.4.1 to 228.167.4.254228.167.4.255254
6228.167.5.0/24228.167.5.1 to 228.167.5.254228.167.5.255254
7228.167.6.0/24228.167.6.1 to 228.167.6.254228.167.6.255254
8228.167.7.0/24228.167.7.1 to 228.167.7.254228.167.7.255254
9228.167.8.0/24228.167.8.1 to 228.167.8.254228.167.8.255254
10228.167.9.0/24228.167.9.1 to 228.167.9.254228.167.9.255254
11228.167.10.0/24228.167.10.1 to 228.167.10.254228.167.10.255254
12228.167.11.0/24228.167.11.1 to 228.167.11.254228.167.11.255254
13228.167.12.0/24228.167.12.1 to 228.167.12.254228.167.12.255254
14228.167.13.0/24228.167.13.1 to 228.167.13.254228.167.13.255254
15228.167.14.0/24228.167.14.1 to 228.167.14.254228.167.14.255254
16228.167.15.0/24228.167.15.1 to 228.167.15.254228.167.15.255254
17228.167.16.0/24228.167.16.1 to 228.167.16.254228.167.16.255254
18228.167.17.0/24228.167.17.1 to 228.167.17.254228.167.17.255254
19228.167.18.0/24228.167.18.1 to 228.167.18.254228.167.18.255254
20228.167.19.0/24228.167.19.1 to 228.167.19.254228.167.19.255254
21228.167.20.0/24228.167.20.1 to 228.167.20.254228.167.20.255254
22228.167.21.0/24228.167.21.1 to 228.167.21.254228.167.21.255254
23228.167.22.0/24228.167.22.1 to 228.167.22.254228.167.22.255254
24228.167.23.0/24228.167.23.1 to 228.167.23.254228.167.23.255254
25228.167.24.0/24228.167.24.1 to 228.167.24.254228.167.24.255254
26228.167.25.0/24228.167.25.1 to 228.167.25.254228.167.25.255254
27228.167.26.0/24228.167.26.1 to 228.167.26.254228.167.26.255254
28228.167.27.0/24228.167.27.1 to 228.167.27.254228.167.27.255254
29228.167.28.0/24228.167.28.1 to 228.167.28.254228.167.28.255254
30228.167.29.0/24228.167.29.1 to 228.167.29.254228.167.29.255254
31228.167.30.0/24228.167.30.1 to 228.167.30.254228.167.30.255254
32228.167.31.0/24228.167.31.1 to 228.167.31.254228.167.31.255254
33228.167.32.0/24228.167.32.1 to 228.167.32.254228.167.32.255254
34228.167.33.0/24228.167.33.1 to 228.167.33.254228.167.33.255254
35228.167.34.0/24228.167.34.1 to 228.167.34.254228.167.34.255254
36228.167.35.0/24228.167.35.1 to 228.167.35.254228.167.35.255254
37228.167.36.0/24228.167.36.1 to 228.167.36.254228.167.36.255254
38228.167.37.0/24228.167.37.1 to 228.167.37.254228.167.37.255254
39228.167.38.0/24228.167.38.1 to 228.167.38.254228.167.38.255254
40228.167.39.0/24228.167.39.1 to 228.167.39.254228.167.39.255254
41228.167.40.0/24228.167.40.1 to 228.167.40.254228.167.40.255254
42228.167.41.0/24228.167.41.1 to 228.167.41.254228.167.41.255254
43228.167.42.0/24228.167.42.1 to 228.167.42.254228.167.42.255254
44228.167.43.0/24228.167.43.1 to 228.167.43.254228.167.43.255254
45228.167.44.0/24228.167.44.1 to 228.167.44.254228.167.44.255254
46228.167.45.0/24228.167.45.1 to 228.167.45.254228.167.45.255254
47228.167.46.0/24228.167.46.1 to 228.167.46.254228.167.46.255254
48228.167.47.0/24228.167.47.1 to 228.167.47.254228.167.47.255254
49228.167.48.0/24228.167.48.1 to 228.167.48.254228.167.48.255254
50228.167.49.0/24228.167.49.1 to 228.167.49.254228.167.49.255254
51228.167.50.0/24228.167.50.1 to 228.167.50.254228.167.50.255254
52228.167.51.0/24228.167.51.1 to 228.167.51.254228.167.51.255254
53228.167.52.0/24228.167.52.1 to 228.167.52.254228.167.52.255254
54228.167.53.0/24228.167.53.1 to 228.167.53.254228.167.53.255254
55228.167.54.0/24228.167.54.1 to 228.167.54.254228.167.54.255254
56228.167.55.0/24228.167.55.1 to 228.167.55.254228.167.55.255254
57228.167.56.0/24228.167.56.1 to 228.167.56.254228.167.56.255254
58228.167.57.0/24228.167.57.1 to 228.167.57.254228.167.57.255254
59228.167.58.0/24228.167.58.1 to 228.167.58.254228.167.58.255254
60228.167.59.0/24228.167.59.1 to 228.167.59.254228.167.59.255254
61228.167.60.0/24228.167.60.1 to 228.167.60.254228.167.60.255254
62228.167.61.0/24228.167.61.1 to 228.167.61.254228.167.61.255254
63228.167.62.0/24228.167.62.1 to 228.167.62.254228.167.62.255254
64228.167.63.0/24228.167.63.1 to 228.167.63.254228.167.63.255254
65228.167.64.0/24228.167.64.1 to 228.167.64.254228.167.64.255254
66228.167.65.0/24228.167.65.1 to 228.167.65.254228.167.65.255254
67228.167.66.0/24228.167.66.1 to 228.167.66.254228.167.66.255254
68228.167.67.0/24228.167.67.1 to 228.167.67.254228.167.67.255254
69228.167.68.0/24228.167.68.1 to 228.167.68.254228.167.68.255254
70228.167.69.0/24228.167.69.1 to 228.167.69.254228.167.69.255254
71228.167.70.0/24228.167.70.1 to 228.167.70.254228.167.70.255254
72228.167.71.0/24228.167.71.1 to 228.167.71.254228.167.71.255254
73228.167.72.0/24228.167.72.1 to 228.167.72.254228.167.72.255254
74228.167.73.0/24228.167.73.1 to 228.167.73.254228.167.73.255254
75228.167.74.0/24228.167.74.1 to 228.167.74.254228.167.74.255254
76228.167.75.0/24228.167.75.1 to 228.167.75.254228.167.75.255254
77228.167.76.0/24228.167.76.1 to 228.167.76.254228.167.76.255254
78228.167.77.0/24228.167.77.1 to 228.167.77.254228.167.77.255254
79228.167.78.0/24228.167.78.1 to 228.167.78.254228.167.78.255254
80228.167.79.0/24228.167.79.1 to 228.167.79.254228.167.79.255254
81228.167.80.0/24228.167.80.1 to 228.167.80.254228.167.80.255254
82228.167.81.0/24228.167.81.1 to 228.167.81.254228.167.81.255254
83228.167.82.0/24228.167.82.1 to 228.167.82.254228.167.82.255254
84228.167.83.0/24228.167.83.1 to 228.167.83.254228.167.83.255254
85228.167.84.0/24228.167.84.1 to 228.167.84.254228.167.84.255254
86228.167.85.0/24228.167.85.1 to 228.167.85.254228.167.85.255254
87228.167.86.0/24228.167.86.1 to 228.167.86.254228.167.86.255254
88228.167.87.0/24228.167.87.1 to 228.167.87.254228.167.87.255254
89228.167.88.0/24228.167.88.1 to 228.167.88.254228.167.88.255254
90228.167.89.0/24228.167.89.1 to 228.167.89.254228.167.89.255254
91228.167.90.0/24228.167.90.1 to 228.167.90.254228.167.90.255254
92228.167.91.0/24228.167.91.1 to 228.167.91.254228.167.91.255254
93228.167.92.0/24228.167.92.1 to 228.167.92.254228.167.92.255254
94228.167.93.0/24228.167.93.1 to 228.167.93.254228.167.93.255254
95228.167.94.0/24228.167.94.1 to 228.167.94.254228.167.94.255254
96228.167.95.0/24228.167.95.1 to 228.167.95.254228.167.95.255254
97228.167.96.0/24228.167.96.1 to 228.167.96.254228.167.96.255254
98228.167.97.0/24228.167.97.1 to 228.167.97.254228.167.97.255254
99228.167.98.0/24228.167.98.1 to 228.167.98.254228.167.98.255254
100228.167.99.0/24228.167.99.1 to 228.167.99.254228.167.99.255254
101228.167.100.0/24228.167.100.1 to 228.167.100.254228.167.100.255254
102228.167.101.0/24228.167.101.1 to 228.167.101.254228.167.101.255254
103228.167.102.0/24228.167.102.1 to 228.167.102.254228.167.102.255254
104228.167.103.0/24228.167.103.1 to 228.167.103.254228.167.103.255254
105228.167.104.0/24228.167.104.1 to 228.167.104.254228.167.104.255254
106228.167.105.0/24228.167.105.1 to 228.167.105.254228.167.105.255254
107228.167.106.0/24228.167.106.1 to 228.167.106.254228.167.106.255254
108228.167.107.0/24228.167.107.1 to 228.167.107.254228.167.107.255254
109228.167.108.0/24228.167.108.1 to 228.167.108.254228.167.108.255254
110228.167.109.0/24228.167.109.1 to 228.167.109.254228.167.109.255254
111228.167.110.0/24228.167.110.1 to 228.167.110.254228.167.110.255254
112228.167.111.0/24228.167.111.1 to 228.167.111.254228.167.111.255254
113228.167.112.0/24228.167.112.1 to 228.167.112.254228.167.112.255254
114228.167.113.0/24228.167.113.1 to 228.167.113.254228.167.113.255254
115228.167.114.0/24228.167.114.1 to 228.167.114.254228.167.114.255254
116228.167.115.0/24228.167.115.1 to 228.167.115.254228.167.115.255254
117228.167.116.0/24228.167.116.1 to 228.167.116.254228.167.116.255254
118228.167.117.0/24228.167.117.1 to 228.167.117.254228.167.117.255254
119228.167.118.0/24228.167.118.1 to 228.167.118.254228.167.118.255254
120228.167.119.0/24228.167.119.1 to 228.167.119.254228.167.119.255254
121228.167.120.0/24228.167.120.1 to 228.167.120.254228.167.120.255254
122228.167.121.0/24228.167.121.1 to 228.167.121.254228.167.121.255254
123228.167.122.0/24228.167.122.1 to 228.167.122.254228.167.122.255254
124228.167.123.0/24228.167.123.1 to 228.167.123.254228.167.123.255254
125228.167.124.0/24228.167.124.1 to 228.167.124.254228.167.124.255254
126228.167.125.0/24228.167.125.1 to 228.167.125.254228.167.125.255254
127228.167.126.0/24228.167.126.1 to 228.167.126.254228.167.126.255254
128228.167.127.0/24228.167.127.1 to 228.167.127.254228.167.127.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses